doc:phd:install

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
doc:phd:install [2009/12/22 20:46]
bjori
doc:phd:install [2017/09/22 13:28] (current)
Line 8: Line 8:
 To install just the PhD core and the Generic package, type: To install just the PhD core and the Generic package, type:
 <code> <code>
-$ pear install doc.php.net/PhD-beta+$ pear install doc.php.net/PhD
 </code> </code>
 And for upgrading: And for upgrading:
 <code> <code>
-$ pear upgrade doc.php.net/PhD-beta+$ pear upgrade doc.php.net/PhD
 </code> </code>
 If by chance you already installed PhD by other means then be sure to uninstall that version first. If by chance you already installed PhD by other means then be sure to uninstall that version first.
Line 22: Line 22:
 and to install optional packages: and to install optional packages:
 <code> <code>
-$ pear install doc.php.net/PhD_PHP-beta+$ pear install doc.php.net/PhD_PHP 
 +$ pear install doc.php.net/PhD_IDE
 </code> </code>
  
 Note that since the optional packages depend on the PhD core package they will pull down and automatically install the required packages if missing. That means it enough to simply write: Note that since the optional packages depend on the PhD core package they will pull down and automatically install the required packages if missing. That means it enough to simply write:
 <code> <code>
-$ pear install doc.php.net/PhD_PHP-beta+$ pear install doc.php.net/PhD_PHP
 </code> </code>
 to install everything that is required. to install everything that is required.
Line 34: Line 35:
 Installing by using a specific tarball is possible too, but is not recommended. Installing by using a specific tarball is possible too, but is not recommended.
 <code> <code>
-$ pear install http://doc.php.net/get/PhD-0.9.0.tgz+$ pear install http://doc.php.net/get/PhD-1.1.0.tgz
 </code> </code>
-==== Using SVN ==== +==== Using GIT ==== 
-NOTE: Using PhD from SVN is not recommended.+NOTE: Using PhD from GIT is not recommended.
  
  
-Getting the code:+Getting the code (anonymous checkout):
 <code> <code>
-svn co http://svn.php.net/repository/phd/trunk phd+git clone git://git.php.net/phd.git
 </code> </code>
 +For developers:
 +<code>
 +$ git clone git@git.php.net:/phd.git
 +</code>
 +
  
-Install and run from SVN. There are several package_*.xml files, but in the very least you'll need:+Install and run from GIT. There are several package_*.xml files, but in the very least you'll need:
 <code> <code>
 $ cd phd $ cd phd
Line 56: Line 62:
 </code> </code>
  
-Alternately you can run PhD directly from SVN, without needing to install it. The same holds true if using the tarball, because all the phd command really does is execute "php render.php" so:+Alternately you can run PhD directly from GIT, without needing to install it. The same holds true if using the tarball, because all the phd command really does is execute "php render.php" so:
 <code> <code>
 $ cd phd $ cd phd
-$ php render.php -d/path/to/phpdoc/.manual.xml+$ php render.php --docbook /path/to/phpdoc/.manual.xml
 </code> </code>
  
  
 Now go on and read the [[http://doc.php.net/phd/docs/|PhD Documentation]] Now go on and read the [[http://doc.php.net/phd/docs/|PhD Documentation]]
doc/phd/install.1261514792.txt.gz · Last modified: 2017/09/22 13:28 (external edit)